CC = gcc
CFLAGS = -ansi \
         -pedantic
EXE = but
OFILES = carre.o \
         hue.o
 
### BUT PAR DEFAUT ###
 
but : ${EXE}
 
### REGLES ESSENTIELLES ###
 
carre.o : carre.c
 
hue.o : hue.h hue.c
 
${EXE} : ${OFILES}
	$(CC) $(CFLAGS) -o ${EXE} ${OFILES}

### REGLES OPTIONNELLES ###
 
run : but
	./${EXE}

clean :
	-rm -f ${OFILES} ${EXE}